import { OpenAPIRef, OpenApiSpec, Referenced } from '../types/open-api';
import { MergedOpenAPISchema } from './transformers/SchemaTransformer';
export default class Specification {
    private refCounter;
    entity: OpenApiSpec;
    constructor(spec: OpenApiSpec);
    deref<T extends object>(obj: OpenAPIRef | T, forceCircular?: boolean): T;
    isRef(obj: any): obj is OpenAPIRef;
    byRef<T extends any = any>(ref: string): T | undefined;
    resetVisited(): void;
    exitRef<T>(ref: Referenced<T>): void;
    exitParents(schema: MergedOpenAPISchema): void;
}
