import { OpenAPIMediaType, OpenAPIMediaTypes } from '../../types/open-api';
import { Bodies, Schema } from '@comet-cli/types';
import { SchemaType } from '../../types/helpers';
import Specification from '../Specification';
export default class BodyResolver {
    static execute(spec: Specification, contents: OpenAPIMediaTypes, type?: SchemaType): Bodies | undefined;
    protected static resolveExamples(spec: Specification, content: OpenAPIMediaType, schema: Schema | undefined): any[];
}
